commit:     bdd13ca364cef3617820a23e7e4a8da163817dfb
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Fri Apr  5 18:51:12 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 15:55:47 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bdd13ca3

media-libs/libeot: EAPI8 bump, minor ebuild improvements

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/36123
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 media-libs/libeot/libeot-0.01-r1.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/media-libs/libeot/libeot-0.01-r1.ebuild 
b/media-libs/libeot/libeot-0.01-r1.ebuild
new file mode 100644
index 000000000000..62bab11bf0a5
--- /dev/null
+++ b/media-libs/libeot/libeot-0.01-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Library for parsing Embedded OpenType files (Microsoft embedded 
font 'standard')"
+HOMEPAGE="https://github.com/umanwizard/libeot";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/umanwizard/libeot.git";
+else
+       SRC_URI="https://github.com/umanwizard/libeot/archive/v${PV}.tar.gz -> 
${P}.tgz"
+       KEYWORDS="~amd64 ~riscv ~x86"
+fi
+
+LICENSE="MPL-2.0"
+SLOT="0"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to